//========================================================================
// Verilog_Incr
//========================================================================
// Combinational adder that increments by a parametrized amount.


`ifndef MENG_PROJECT_INCR
`define MENG_PROJECT_INCR

module Verilog_Incr
#(
	// Parameter for number of bits
	parameter nbits = 16,
	parameter incr_step = 1
)(
	// Data signals
	input   [nbits-1:0] in,
	output  [nbits-1:0] out
);

	// Combinational logic
	
	reg		[nbits-1:0] temp_wire;
	always @(*) 
	begin
		temp_wire = in + incr_step;
	end
	
	assign out = temp_wire;

endmodule


`endif /* MENG_PROJECT_INCR */