//========================================================================
// Verilog_Mux_2
//========================================================================
// Multiplexer with a parametrized number of bits and two inputs


`ifndef MENG_PROJECT_MUX2
`define MENG_PROJECT_MUX2

module Verilog_Mux_2
#(
	// Parameter for number of bits
	parameter nbits = 16
	
)(
	// Data signals
	input  		 [nbits-1:0] in_a,
	input  		 [nbits-1:0] in_b,
	input					 sel,
	output 		 [nbits-1:0] out
);

	// Combinational logic
	reg			 [nbits-1:0] temp_wire;
	
	always @(*) 
	begin
		if ( ~sel )
			temp_wire = in_a;
		else
			temp_wire = in_b;
	end
	
	assign out = temp_wire;

endmodule


`endif /* MENG_PROJECT_MUX2 */