//========================================================================
// Verilog_Register
//========================================================================
// Register with a parametrized number of bits. Triggers on positive edge
// of the clock.


`ifndef MENG_PROJECT_REG
`define MENG_PROJECT_REG

module Verilog_Reg
#(
	// Parameter for number of bits
	parameter nbits = 16
)(
	input					 clk,
	// Data signals
	input  		 [nbits-1:0] in,
	output 		 [nbits-1:0] out
);
	// Sequential logic
	
	reg         [nbits-1:0] temp_wire;
	always @( posedge clk ) 
	begin
		temp_wire <= in;
	end
	assign out = temp_wire;
endmodule


`endif /* MENG_PROJECT_REG */